/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workpartetag.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 断点续传Entity
 * @author 杨帆
 * @version 2017-12-18
 */
public class WorkPartEtag extends DataEntity<WorkPartEtag> {
	
	private static final long serialVersionUID = 1L;
	private String status;		// 状态值
	private String bucketName;		// oss地址
	private String key;		// 键
	private String uploadId;		// uId
	private String partNumber;		// 编号
	private String eTag;		// tag值
	private String size;		// 大小
	private String partCRC;		// 大小

	public WorkPartEtag() {
		super();
	}

	public WorkPartEtag(String id){
		super(id);
	}

	@ExcelField(title="状态值", align=2, sort=6)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="oss地址", align=2, sort=8)
	public String getBucketName() {
		return bucketName;
	}

	public void setBucketName(String bucketName) {
		this.bucketName = bucketName;
	}
	
	@ExcelField(title="键", align=2, sort=9)
	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}
	
	@ExcelField(title="uId", align=2, sort=10)
	public String getUploadId() {
		return uploadId;
	}

	public void setUploadId(String uploadId) {
		this.uploadId = uploadId;
	}
	
	@ExcelField(title="编号", align=2, sort=11)
	public String getPartNumber() {
		return partNumber;
	}

	public void setPartNumber(String partNumber) {
		this.partNumber = partNumber;
	}
	
	@ExcelField(title="tag值", align=2, sort=12)
	public String getETag() {
		return eTag;
	}

	public void setETag(String eTag) {
		this.eTag = eTag;
	}
	
	@ExcelField(title="大小", align=2, sort=13)
	public String getSize() {
		return size;
	}

	public void setSize(String size) {
		this.size = size;
	}

	public String geteTag() {
		return eTag;
	}

	public void seteTag(String eTag) {
		this.eTag = eTag;
	}

	public String getPartCRC() {
		return partCRC;
	}

	public void setPartCRC(String partCRC) {
		this.partCRC = partCRC;
	}
}